package com.happy.dao;

import com.happy.Model.FileInfo;

import java.util.List;

public interface FileInfoDao {

    /**
     * 描述：新增
     * @param file
     * @return
     */
    int insertFile(FileInfo file);

    /**
     * 描述：修改
     * @param file
     * @return
     */
    int updateFile(FileInfo file);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delFile(String id);

    /**
     * 描述：根据linkId删除
     * @param linkId
     * @return
     */
    int delLinkFile(String linkId);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    FileInfo getById(String id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    List<FileInfo> queryPage(String sqlx, int page, int rows);


    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<FileInfo> queryList(String sqlx);

}
